Subject: [VCARDDAV] [Errata Verified] RFC6350 (3845)

From: RFC Errata System <[email-masked]>
Date: Mon, 23 Dec 2013 07:33:29 -0800 (PST)

The following errata report has been verified for RFC6350,
"vCard Format Specification". 

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=6350&eid=3845

--------------------------------------
Status: Verified
Type: Technical

Reported by: David Riggle <[email-masked]>
Date Reported: 2013-12-20
Verified by: Barry Leiba (IESG)

Section: 6.2.4

Original Text
-------------
       PHOTO:data:image/jpeg;base64,MIICajCCAdOgAwIBAgICBEUwDQYJKoZIhv

Corrected Text
--------------
       PHOTO:data:image/jpeg;base64\,MIICajCCAdOgAwIBAgICBEUwDQYJKoZIhv

Notes
-----
Section 3.4 states that all property values must have COMMA characters escaped with a BACKSLASH character. The PHOTO property value in the example contains a comma. Therefore it must be escaped with a backslash. Note that there are several other uses of the "data:" URI scheme in the document that also need to be corrected.

Alternatively, a different format for base64 encoded data could be used in vCard 4.0. The ENCODING=b format used in vCard 3.0 wasn't so bad.

----- Verifier notes -----
This represents a difference from earlier versions of vCard, and the ABNF does not support escaping for URIs.  This errata report is correct and verified, but a full correction to the issue will have to wait for a document update.

--------------------------------------
RFC6350 (draft-ietf-vcarddav-vcardrev-22)
--------------------------------------
Title               : vCard Format Specification
Publication Date    : August 2011
Author(s)           : S. Perreault
Category            : PROPOSED STANDARD
Source              : vCard and CardDAV
Area                : Applications
Stream              : IETF
Verifying Party     : IESG